Alokai

SapccApiDoSaveCartRequest

Request parameters for doSaveCart operation in SapccApi. SapccApiDoSaveCartRequest

interface SapccApiDoSaveCartRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly saveCartDescription?: string;
	readonly saveCartName?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiDoSaveCart
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiDoSaveCart
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiDoSaveCart
saveCartDescriptionOptionalstringDescription of the saved cart. {string} SapccApiDoSaveCart
saveCartNameOptionalstringName of the saved cart. {string} SapccApiDoSaveCart
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiDoSaveCart

On this page